
#ifndef _LOGGER_H_
#define _LOGGER_H_

#include "tnlLog.h"

using namespace TNL;

namespace DinastyOnline {
	namespace Network {
	
		class DedicatedServerLogConsumer : public LogConsumer {
		
		public:
			void logString(const char *string) {
				fprintf(stdout, "%s\n", string);
				fflush(stdout);
			}
		} gDedicatedServerLogConsumer;
	}
}

#endif
